openapi: 3.0.0
info:
  version: SBIT
  title: 
  description: Springboard IT
servers:
  - url: http://localhost:8081/
paths:
  /SalesPickingNote:
    get:
      description: ''
      operationId: 'getSalesPickingNote'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNoteCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesPickingNote/{id}:
    get:
      description: ''
      operationId: 'getSalesPickingNoteById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesPickingNote'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrders:
    get:
      description: ''
      operationId: 'getSalesOrders'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrdersCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrders/{id}:
    get:
      description: ''
      operationId: 'getSalesOrdersById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrders'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrdersNew:
    get:
      description: ''
      operationId: 'getSalesOrdersNew'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrdersNewCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrdersNew/{id}:
    get:
      description: ''
      operationId: 'getSalesOrdersNewById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrdersNew'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    SalesPickingNote:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Order:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
            ActiveDeliveryContactName:
              type: string
            ActiveDeliveryAddress:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                AddressLine1:
                  type: string
                AddressLine2:
                  type: string
                AddressLine3:
                  type: string
                AddressLine4:
                  type: string
                City:
                  type: string
                County:
                  type: string
                PostCode:
                  type: string
            InternalInstructions:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Text:
                  type: string
            DeliveryAgent:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
        AlternateReference:
          type: string
    SalesPickingNote_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Order:
          type: number
        AlternateReference:
          type: string
    SalesPickingNoteCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesPickingNote'
    SalesOrders:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DeliveryContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        CashCustomer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DespatchBranch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Currency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Particulars:
          type: string
        DeliveryInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgentService:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryNetAmount:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryTaxRate:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              NetAmountLessDiscount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Amount:
                type: number
        NetAmountLessDiscount:
          type: number
    SalesOrders_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: number
        DeliveryContact:
          type: number
        SalesContact:
          type: number
        CashCustomer:
          type: number
        SalesRep:
          type: number
        DespatchBranch:
          type: number
        WorkflowStatus:
          type: number
        OrderType:
          type: number
        Currency:
          type: number
        Particulars:
          type: string
        DeliveryInstructions:
          type: number
        DeliveryAgent:
          type: number
        DeliveryAgentService:
          type: number
        DeliveryNetAmount:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryTaxRate:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: number
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              NetAmountLessDiscount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: number
              Amount:
                type: number
        NetAmountLessDiscount:
          type: number
    SalesOrdersCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrders'
    SalesOrdersNew:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DeliveryContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesContact:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        CashCustomer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            FullName:
              type: string
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        DespatchBranch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        WorkflowStatus:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Currency:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Particulars:
          type: string
        DeliveryInstructions:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Text:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgentService:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryNetAmount:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryTaxRate:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Number:
              type: string
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              NetAmountLessDiscount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Amount:
                type: number
        NetAmountLessDiscount:
          type: number
    SalesOrdersNew_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Date:
          type: string
          format: date
        DueDate:
          type: string
          format: date
        Number:
          type: string
        AlternateReference:
          type: string
        Customer:
          type: number
        DeliveryContact:
          type: number
        SalesContact:
          type: number
        CashCustomer:
          type: number
        SalesRep:
          type: number
        DespatchBranch:
          type: number
        WorkflowStatus:
          type: number
        OrderType:
          type: number
        Currency:
          type: number
        Particulars:
          type: string
        DeliveryInstructions:
          type: number
        DeliveryAgent:
          type: number
        DeliveryAgentService:
          type: number
        DeliveryNetAmount:
          type: number
        DeliveryTaxAmount:
          type: number
        DeliveryTaxRate:
          type: number
        DeliveryGrossAmount:
          type: number
        NetAmount:
          type: number
        TaxAmount:
          type: number
        GrossAmount:
          type: number
        SourceQuotation:
          type: number
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Description:
                type: string
              Quantity:
                type: number
              QuantitySupplied:
                type: number
              NetPrice:
                type: number
              DiscountPercentage:
                type: number
              DiscountAmount:
                type: number
              TaxRate:
                type: number
              TaxAmount:
                type: number
              GrossAmount:
                type: number
              PricingStatus:
                type: string
              NetAmountLessDiscount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: number
              Amount:
                type: number
        NetAmountLessDiscount:
          type: number
    SalesOrdersNewCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrdersNew'
security:
  - apiKey: []
